name: StarAdsPreview
options:
  bundleIdPrefix: com.neog
  deploymentTarget:
    macOS: "14.0"
  xcodeVersion: "15.0"
  createIntermediateGroups: true
  groupSortPosition: top

settings:
  base:
    SWIFT_VERSION: "5.9"
    MACOSX_DEPLOYMENT_TARGET: "14.0"
    ENABLE_PREVIEWS: YES
    DEVELOPMENT_TEAM: ""

targets:
  StarAdsPreview:
    type: application
    platform: macOS
    sources:
      - StarAdsPreview
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.StarAdsPreview
        PRODUCT_NAME: StarAdsPreview
        INFOPLIST_KEY_LSApplicationCategoryType: public.app-category.productivity
        INFOPLIST_KEY_NSHumanReadableCopyright: "Copyright 2026 NEOG"
        GENERATE_INFOPLIST_FILE: YES
        CURRENT_PROJECT_VERSION: 1
        MARKETING_VERSION: 1.0.0
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME: AccentColor
    entitlements:
      path: StarAdsPreview/StarAdsPreview.entitlements
      properties:
        com.apple.security.app-sandbox: false

schemes:
  StarAdsPreview:
    build:
      targets:
        StarAdsPreview: all
    run:
      config: Debug
    profile:
      config: Release
    analyze:
      config: Debug
    archive:
      config: Release
